#!/usr/bin/env python

import sys
import time

import grass.script as grass
import grass.script.setup as gsetup

def main():

	print "start"
	sys.stdout.flush()

	grass.run_command("g.list",
					type = "rast")

	time.sleep(5)
	print "1st g.list over"
	sys.stdout.flush()

	grass.run_command("g.list",
					type = "rast")

	time.sleep(5)
	print "2nd g.list over"
	sys.stdout.flush()

	for i in ['FULL_HYDRO','LENGTH']:

		grass.run_command("v.to.rast",
					input = "streams@PERMANENT",
					output = "rast_"+i,
					type = "line",
					use = "attr",
					column = i)

	time.sleep(5)

	return 0

if __name__ == "__main__":
	sys.exit(main())
